> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# View Moderation Content



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/content/{content_type}/{content_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/content/{content_type}/{content_id}:
    get:
      tags:
        - community-moderation-admin
      summary: View Moderation Content
      operationId: >-
        community_moderation_admin.get_community_moderation_admin_get_admin_teams_by_team_id_hubs_by_hub_id_moderation_content_by_content_type_by_content_id
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: content_type
          required: true
          schema:
            title: Content Type
            type: string
        - in: path
          name: content_id
          required: true
          schema:
            title: Content Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ModerationContentResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ModerationContentResponse:
      properties:
        data:
          $ref: '#/components/schemas/ModerationContentResource'
        included:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactIncludedResource'
              type: array
            - type: 'null'
          title: Included
      required:
        - data
      title: ModerationContentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ModerationContentResource:
      properties:
        attributes:
          $ref: '#/components/schemas/ModerationContentAttributes'
        id:
          title: Id
          type: string
        relationships:
          anyOf:
            - $ref: '#/components/schemas/ModerationContentRelationships'
            - type: 'null'
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: ModerationContentResource
      type: object
    ContactIncludedResource:
      description: >-
        Top-level `included` contact resource (mirrors
        _contact_view_to_included).
      properties:
        attributes:
          $ref: '#/components/schemas/ContactIncludedAttributes'
        id:
          title: Id
          type: string
        type:
          default: contacts
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ContactIncludedResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ModerationContentAttributes:
      properties:
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        content_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Id
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        discussion_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Discussion Id
        hub_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hub Id
        is_removed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Removed
        parent_comment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Comment Id
        removed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Removed At
        removed_by:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Removed By
        space_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Space Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      title: ModerationContentAttributes
      type: object
    ModerationContentRelationships:
      properties:
        author:
          anyOf:
            - $ref: '#/components/schemas/JsonApiToOneRelationship'
            - type: 'null'
      title: ModerationContentRelationships
      type: object
    ContactIncludedAttributes:
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        membership_status:
          anyOf:
            - enum:
                - active
                - banned
                - soft_banned
                - left
              type: string
            - type: 'null'
          title: Membership Status
        role:
          anyOf:
            - enum:
                - owner
                - admin
                - moderator
                - member
              type: string
            - type: 'null'
          title: Role
      title: ContactIncludedAttributes
      type: object
    JsonApiToOneRelationship:
      description: 'A JSON:API to-one relationship: {data: {type, id} | null}.'
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/JsonApiResourceLinkage'
            - type: 'null'
      title: JsonApiToOneRelationship
      type: object
    JsonApiResourceLinkage:
      description: 'A JSON:API resource identifier object: {type, id}.'
      properties:
        id:
          title: Id
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - id
      title: JsonApiResourceLinkage
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http

````